function [mu_plot,f_plot] = plot_PSA(sys,epsilon,bounds,h)



    t1=cputime;
    A=sys.A;
    sf=sys.f;
    lb = bounds.lb;
    ub = bounds.ub;
    

    subspace_pspa_opts.maxit = 100;
    subspace_pspa_opts.ftol=10^-6;
    subspace_pspa_opts.prntlvl =0; 
    subspace_pspa_opts.sparse = 1;
    
  
        [n1,n2] = size(A{1});
        [~,d] = size(A);
    
        mu_plot=lb:h:ub;
        f_plot=zeros(1,length(mu_plot));        
        gridlen = length(mu_plot);
        
        
        for j=1:gridlen            
            
            display(mu_plot(j));
            
            % construct A(mu)
            
            M = sparse(n1,n2);            
            fk = sf(mu_plot(j));   
            
            for k = 1:d
                M = M + fk(k)*A{1,k};
            end
            
            
            % compute psa of A(mu)
            
            if n1 < 1001
                
                prtlevel = 0;
                plotfig = 0;
                keyb = 0;
                eigsolver = 0;
                
                fp = pspa(M, epsilon, prtlevel, plotfig, keyb, eigsolver);
                f_plot(j)= fp;
            else
                

                fp = subspace_pspa(M, epsilon);
                f_plot(j)= fp;
            end
                        
        end
        
        figure(9); hold on;
        plot(mu_plot,f_plot,'LineWidth',2);
        
        title('mu vs psa one parameter');
        xlabel('mu');
        ylabel('Pseudospectral Abscissa');
        
  
    %%%%%%%%%%%%
    %%%%%%%%%%%%
    %%%%%%%%%%%%
    
    
    
return;




