function [mu_plot,f_plot] = plot_PSA_rectangular(sys,V,epsilon,bounds,h)


        A=sys.A;
        sf=sys.f;
        lb = bounds.lb;
        ub = bounds.ub;
    
      
        [n1,n2] = size(A{1});
        [~,d] = size(A);
        [~,d2] = size(V);
    
        
        mu_plot=lb:h:ub;
        f_plot=zeros(1,length(mu_plot));  
                
        
        
        z = -inf;
        
        for j=1:length(mu_plot)
            
            
            display(mu_plot(j));
            
            % construct A(mu)
            
            M = sparse(n1,n2);            
            fk = sf(mu_plot(j));   
            
            for k = 1:d
                M = M + fk(k)*A{1,k};
            end
            
            AV = M*V;
                        
            R = triu(qr([V AV],0));
            Bt = R(1:2*d2,1:d2);
            At = R(1:2*d2,d2+1:2*d2);
            
            
            
            bestz = -100;
 
            for Imz = -2:0.1:2

                yB = Imz*Bt;
        
                H1 = [-yB'+sqrt(-1)*At'   epsilon*eye(d2);  ...
                                -epsilon*eye(2*d2)      sqrt(-1)*At+yB];
            
                H2 = [Bt'   zeros(d2,d2);   ...
                            zeros(2*d2,2*d2)   Bt];
            
                evals = eig(H1,H2);
        
                
                [~,inds] = find(abs(real(evals)) < 10^-8);
        
        
                if ~isempty(inds)            
                    mRz = max(imag(evals(inds)));
                            
                    if mRz > real(bestz)
                        bestz = mRz + sqrt(-1)*Imz;
                    end        
            
                end
                
            end
            
            
            if bestz < -99.99
                opts.start_z = z;
            else
                opts.start_z = [z bestz];
            end

            
            
            
            
            [fp, zt, ~, ~] = pencil_pspa(At, Bt, epsilon, opts);
            f_plot(j) = fp;
            
            z = zt(1);
                                                            
        end

        
        
        figure(3); hold on;
        plot(mu_plot,f_plot);
        
        

  
    %%%%%%%%%%%%
    %%%%%%%%%%%%
    %%%%%%%%%%%%
    
    
    
return;




