function [A,B,C,E] = synthetic_parametric(N)

% N = 100;  Order of the resulting system.
 
% Set coefficients.
a = -linspace(1e1, 1e3, N/2).';
% a = linspace(-1e3, -1e1, N/2).';
b = linspace(1e1, 1e3, N/2).';
c = ones(N/2, 1);
d = zeros(N/2, 1);
 
% Build 2x2 submatrices.
aa(1:2:N-1, 1) = a;
aa(2:2:N, 1)   = a;
bb(1:2:N-1, 1) = b;
bb(2:2:N-2, 1) = 0;
 
% Set up system matrices.
A{2} = spdiags(aa, 0, N, N);
A{1} = spdiags([0; bb], 1, N, N) + spdiags(-bb, -1, N, N);
B  = 2 * sparse(mod(1:N, 2)).';
C(1:2:N-1) = c.';
C(2:2:N)   = d.';
C          = sparse(C);

E = speye(N);
 
return;
